Commissioning issues Hyperion @Pi3a

  • Hi all,


    I had bought this LED's on Amazon and I have some issues to bring them to life on a Pi 3A+

    The setup is new, it's my first Hyperion Project.

    The setup based on this youtube video.

    External Content youtu.be
    Content embedded from external sources will not be displayed without your consent.
    Through the activation of external content, you agree that personal data may be transferred to third party platforms. We have provided more information on this in our privacy policy.

    It seems that hyperion doesn't see the stripe, see protocol below.

    Any idea how to solf this issue?


    Thanks in advance

    Timo


    2024-03-29T08:51:17.413Z [LEDDEVICE|First LED Hardware instance] (ERROR) Device disabled, device 'ws281x' signals error: 'Failed to open. Error message: Hardware revision is not supported'
    2024-03-29T14:46:33.800Z [LEDDEVICE|First LED Hardware instance] (ERROR) Previous line repeats 6 times
    2024-03-29T14:46:33.801Z [LEDDEVICE|First LED Hardware instance] (ERROR) Device disabled. Maximum number of 6 attempts enabling the device reached. Tried for 105 seconds.

  • Go to Best Answer
    • New
    • Official Post

    Hyperion makes use of an external library which has a set of devices configured.

    rpi_ws281x/rpihw.c at c09fecb5ead9a33696f78913627c5693ca6a5c5a · dimzeta/rpi_ws281x
    Userspace Raspberry Pi PWM library for WS281X LEDs - dimzeta/rpi_ws281x
    github.com


    The error occurs, if your device is not supported.

    Which Hyperion version are you running?



    Edit: Please post the output of the following command to see what hardware version you are running with.


    cat /proc/cpuinfo

  • Post by jutil ().

    This post was deleted by the author themselves ().
  • thank you both for your help.

    I use the version 2.0.16

    Where to use a command line in hyperion? Sorry for my stupid questions but I use these tool since 2 days


    if I run top | grep hyperion on the Hyperbian OS the system freezes. The cat /... command ends in an error message


    here we go with the cat result, sorry

    pi@pi:~ $ cat /proc/cpuinfo

    processor : 0

    BogoMIPS : 38.40

    Features : fp asimd evtstrm crc32 cpuid

    CPU implementer : 0x41

    CPU architecture: 8

    CPU variant : 0x0

    CPU part : 0xd03

    CPU revision : 4


    processor : 1

    BogoMIPS : 38.40

    Features : fp asimd evtstrm crc32 cpuid

    CPU implementer : 0x41

    CPU architecture: 8

    CPU variant : 0x0

    CPU part : 0xd03

    CPU revision : 4


    processor : 2

    BogoMIPS : 38.40

    Features : fp asimd evtstrm crc32 cpuid

    CPU implementer : 0x41

    CPU architecture: 8

    CPU variant : 0x0

    CPU part : 0xd03

    CPU revision : 4


    processor : 3

    BogoMIPS : 38.40

    Features : fp asimd evtstrm crc32 cpuid

    CPU implementer : 0x41

    CPU architecture: 8

    CPU variant : 0x0

    CPU part : 0xd03

    CPU revision : 4


    Revision : 9020e1

    Serial : 0000000088a42fd7

    Model : Raspberry Pi 3 Model A Plus Rev 1.1

    pi@pi:~ $


    and here we go with the top command result, sorry again

    pi@pi:~ $ sudo top | grep hyperion


    [1]+ Stopped sudo top | grep --color=auto hyperion

    Edited 3 times, last by jutil: Ein Beitrag von jutil mit diesem Beitrag zusammengefügt. ().

    • New
    • Official Post

    Your Hardware „Revision : 9020e1“ is currently not supported.


    Pi 3A+ 1.0 is…

    rpi_ws281x/rpihw.c at 1f47b59ed603223d1376d36c788c89af67ae2fdc · jgarff/rpi_ws281x
    Userspace Raspberry Pi PWM library for WS281X LEDs - jgarff/rpi_ws281x
    github.com


    There is already a change available, but it has not been made available yet.

    Add support for Pi 3 Model A Plus Rev 1.1 by presinnovation · Pull Request #531 · jgarff/rpi_ws281x
    This builds and runs successfully on Raspberry Pi Model A Plus Rev 1.1
    github.com


    You could apply the change and build Hyperion yourself …

  • First of all, thank you so much for support!

    okay, I have got installed Hyperion on my old Pi Zero W aaaand it is working absolutely perfekt.

    Any idea if the pi 3, wich I use before, will be supported in Hyperbian some times?

    • New
    • Best Answer
    • Official Post

    Any idea if the pi 3, wich I use before, will be supported in Hyperbian some times?

    This is out of our control.

    If this PR is merged, it will automatically be considered when building Hyperion.

    You might need to check with the team providing the library linked.

  • jutil

    Selected a post as the best answer.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!